Subject: bug#15859: 24.3.50; Calc - dimensionless units again

From: Michael Heerdegen <[email-masked]>
Date: Tue, 24 Nov 2020 02:00:08 +0100

"Roland Winkler" <[email-masked]> writes:

For your recipe that failed to convert 7 m / (c s) to a unitless
expression using u c, if I specify as old units "m 1/s 1/c" and as new
units "1", I get a result with u c, but it is different from the result
I get with u s.  I tried some other combinations of old units
(e.g. skipping 1/c) but that doesn't result in a unitless expression.

I'm CC'ing Jay B. who seems to have worked on that code 8 years ago.
Maybe he can hear us?

Regards,

Michael.